#include "panelConfigurationWidget.h"
#include "ui_panelConfigurationWidget.h"

PanelConfigurationWidget::PanelConfigurationWidget(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::panelConfigurationWidget)
{
    ui->setupUi(this);

    connect(ui->btnConfigure, SIGNAL(clicked()), this, SLOT(onBtnClicked_configure()));
}

PanelConfigurationWidget::~PanelConfigurationWidget()
{
    delete ui;
}

void PanelConfigurationWidget::resizeEvent(QResizeEvent* event)
{

}

/*void PanelConfigurationWidget::zoomContent(int ratioX, int ratioY)
{
    //子部件gemometry & frot
    QRect geometry;
    QFont font;
    //lable
    font = ui->label->font();
    int pixelSize = font.pixelSize();
    font.setPixelSize(pixelSize * ratioY);
    ui->label->setFont(font);
    //configureButton
    font = ui->btnConfigure->font();
    pixelSize = font.pixelSize();
    font.setPixelSize(pixelSize * ratioY);
    ui->btnConfigure->setFont(font);
    QSize iconSize = ui->btnConfigure->iconSize();
    iconSize.setWidth(iconSize.width() * ratioX);
    iconSize.setHeight(iconSize.height() * ratioY);
    ui->btnConfigure->setIconSize(iconSize);
    geometry = ui->btnConfigure->geometry();
    int width = geometry.width() * ratioX;
    int height = geometry.height() * ratioY;
    ui->btnConfigure->setMaximumSize(width, height);
    ui->btnConfigure->setMinimumSize(width, height);
}*/

void PanelConfigurationWidget::onBtnClicked_configure()
{
    emit sgl_configure();
}
